> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bridge.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# List banks

> Get the banks and their codes for a currency.

Requires the **Ramps, banks & methods** scope (banks read). Use the `code` as `bank_code` in offramp payout details.

## Headers

**API-Version** `string` *required* (default: 2026-10-29-atlas)

Your account's API version.

## Query

**currency** `string` *required*

For example `NGN` or `GHS`. Upper or lower case.

## Response

`200 OK`

**status** `string`

`success`

**message** `string`

For example `NGN payment banks retrieved`.

**count** `integer`

How many banks.

**banks** `array`

Each bank has a `name` and, usually, a `code`.

## Errors

| Status | Code | Why |
| - | - | - |
| `422` | `validation_failed` | Unsupported currency. The message lists the supported ones. |

```bash cURL theme={null}
curl "https://sandbox.core.linkio.world/api/payments/banks?currency=GHS" \
  -H "X-BRIDGE-API-Key: $BRIDGE_API_KEY" \
  -H "API-Version: 2026-10-29-atlas"
```

```json 200 theme={null}
{
  "status": "success",
  "message": "GHS payment banks retrieved",
  "count": 2,
  "banks": [
    { "name": "Absa Bank Ghana Ltd", "code": "030100" },
    { "name": "Access Bank", "code": "280100" }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.